VSTGUI: OwningPointer< I > Class Template Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
OwningPointer< I > Class Template Reference

An owning pointer. More...

`#include <vstguibase.h>`

Inheritance diagram for OwningPointer< I >:

## Public Member Functions
| OwningPointer (I *p)
| OwningPointer (const SharedPointer< I > &p)
| OwningPointer (const OwningPointer< I > &p)
| OwningPointer ()
I * | operator= (I *_ptr)
Public Member Functions inherited from SharedPointer< I >
| SharedPointer (I *ptr, bool remember=true) noexcept
| SharedPointer (const SharedPointer &) noexcept
| SharedPointer () noexcept
| ~SharedPointer () noexcept
I * | operator= (I *ptr) noexcept
SharedPointer< I > & | operator= (const SharedPointer< I > &) noexcept
| operator I* () const noexcept
I * | operator-> () const noexcept
I * | get () const noexcept
template<class T>
T * | cast () const
| SharedPointer (SharedPointer< I > &&mp) noexcept
SharedPointer< I > & | operator= (SharedPointer< I > &&mp) noexcept
template<typename T>
| SharedPointer (const SharedPointer< T > &op) noexcept
template<typename T>
SharedPointer & | operator= (const SharedPointer< T > &op) noexcept
template<typename T>
| SharedPointer (SharedPointer< T > &&op) noexcept
template<typename T>
SharedPointer & | operator= (SharedPointer< T > &&op) noexcept
template<class I>
| SharedPointer (const SharedPointer< I > &other) noexcept

## Additional Inherited Members
Protected Attributes inherited from SharedPointer< I >
I * | ptr {nullptr}

## Detailed Description

template<class I>
class VSTGUI::OwningPointer< I >

An owning pointer.

Deprecated

This class is now deprecated. Please change your code from

OwningPointer<MyClass> obj = new MyClass ()
VSTGUI::OwningPointer::OwningPointer
OwningPointer(I *p)
Definition vstguibase.h:487

to

SharedPointer<MyClass> obj = makeOwned<MyClass> ();
VSTGUI::SharedPointer::SharedPointer
friend class SharedPointer
Definition vstguibase.h:369
VSTGUI::makeOwned
SharedPointer< I > makeOwned(Args &&...args)
Definition vstguibase.h:468

## Constructor & Destructor Documentation

## ◆ OwningPointer() [1/4]

template<class I>

OwningPointer | ( | I * | p | ) |
| inline

## ◆ OwningPointer() [2/4]

template<class I>

OwningPointer | ( | const SharedPointer< I > & | p | ) |
| inline

## ◆ OwningPointer() [3/4]

template<class I>

OwningPointer | ( | const OwningPointer< I > & | p | ) |
| inline

## ◆ OwningPointer() [4/4]

template<class I>

OwningPointer | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator=()

template<class I>

I * operator= | ( | I * | _ptr | ) |
| inline

The documentation for this class was generated from the following file:

- vstguibase.h